Keystone 3.0 is coming – prepare now!

Our next major release of Keystone–version 3.0–is coming soon. With this release we have updated our development tools to the latest versions which ensure proper support of Windows 10 and future Windows versions going forward.

The new versions of our development tools require us to update our minimum system requirements, in terms of the Windows versions that we can support as well as the versions of InterBase (back-end database) that we can support.

As we have been warning about for almost a year, if you are using any version of Windows prior to Windows 7/Windows Server 2008 you need to make plans to upgrade as soon as possible. Microsoft no longer provides support for older versions of Windows (such as Windows XP and Windows Server 2003) and that includes no longer providing security updates which are essential in the Internet era.

As of Keystone 3.0 you must have InterBase XE (version 10.0) or higher. You can check what version of InterBase you currently have from within Keystone by selecting “Help->System Information” from the main menu. Scroll down until you come to the “Database Server Info” section:

IBVersionNumber

If the ServerVersion is “WI-V10.0” or higher, you are all set. If it is less than that, please contact support for a quote to arrange for an InterBase upgrade as soon as possible.

It is important to note that Keystone 2.9.7 will run on Windows 10 and with the latest version of InterBase XE so Windows and InterBase upgrades can be done prior to updating to Keystone 3.0.)